Administracion\ClinicasBundle\Entity\Users:
    type: entity
    table: users
    indexes:
        idx_1483a5e94bab96c:
            columns:
                - rol_id
        IDX_1483A5E99CD3F6D6:
            columns:
                - clinica_id
    id:
        id:
            type: integer
            nullable: false
            unsigned: false
            id: true
            generator:
                strategy: SEQUENCE
    fields:
        username:
            type: string
            nullable: false
            length: 100
            fixed: false
        password:
            type: string
            nullable: false
            length: 255
            fixed: false
        activo:
            type: boolean
            nullable: true
    manyToOne:
        rol:
            targetEntity: Roles
            cascade: {  }
            mappedBy: null
            inversedBy: null
            joinColumns:
                rol_id:
                    referencedColumnName: id
            orphanRemoval: false
        clinica:
            targetEntity: Clinicas
            cascade: {  }
            mappedBy: null
            inversedBy: null
            joinColumns:
                clinica_id:
                    referencedColumnName: id
            orphanRemoval: false
    lifecycleCallbacks: {  }
